/****************************************************************************

    spec(yml)파일의 dataitem 하위 노드 "-Itemno..."
	
******************************************************************************/
package kr.gmtc.gw.asderecv.asde.asterixSpec.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true) 
public class AsterixSpecVO_DataItem implements Serializable
{
	
    private static final long serialVersionUID = -11726258863773521L;
    
	private String itemno;
    private String frn;
    private String rule;
    private String itemdesc;
    private String definition;
    private String octet;
    
    private String format;
    
    private List<AsterixSpecVO_Structure> structure;
    
    private String dataItemNote;
    
	public String getItemno() {
		return itemno;
	}
	public void setItemno(String itemno) {
		this.itemno = itemno;
	}
	public String getFrn() {
		return frn;
	}
	public void setFrn(String frn) {
		this.frn = frn;
	}
	public String getItemdesc() {
		return itemdesc;
	}
	public void setItemdesc(String itemdesc) {
		this.itemdesc = itemdesc;
	}
	public String getDefinition() {
		return definition;
	}
	public void setDefinition(String definition) {
		this.definition = definition;
	}
	public String getOctet() {
		return octet;
	}
	public void setOctet(String octet) {
		this.octet = octet;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	public List<AsterixSpecVO_Structure> getStructure() {
		return structure;
	}
	public void setStructure(List<AsterixSpecVO_Structure> structure) {
		this.structure = structure;
	}
	public String getDataItemNote() {
		return dataItemNote;
	}
	public void setDataItemNote(String dataItemNote) {
		this.dataItemNote = dataItemNote;
	}
	public String getRule() {
		
		if(this.rule == null) {
			return rule = "";
		}
		
		return rule;
	}
	public void setRule(String rule) {
		this.rule = rule;
	}

	
    
}